import path_setting
from in_common.base_request import BaseRequest

class achelous_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.ACHELOUS_REQUEST_CONFIG)
#直播间批量添加商品
    def batch_add_service(self, stream_id, service_item_ids):
        self.params["stream_id"] = stream_id
        self.params["service_item_ids"] = service_item_ids
        return self.api_send(self.data["batch_add_service"])

    #def batch_del_service(self, stream_id, service_item_ids):
    #    self.params["stream_id"] = stream_id
    #    self.params["service_item_ids"] = service_item_ids
    #    return self.api_send(self.data["batch_add_service"])

if __name__ == "__main__":
    print(achelous_request().batch_add_service("4176", "73809,23508,33823"))
   # print(achelous_request().batch_del_service("4176","7312,7311"))